%global _empty_manifest_terminate_build 0
Name:		python-shtab
Version:	1.7.1
Release:	1
Summary:	Automagic shell tab completion for Python CLI applications
License:	Apache-2.0
URL:		https://github.com/iterative/shtab
Source0:	https://github.com/iterative/shtab/releases/download/v%{version}/shtab-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-pip  python3-hatchling python3-hatch-vcs

%description
Automagic shell tab completion for Python CLI applications

%package -n python3-shtab
Summary:	Automagic shell tab completion for Python CLI applications
Provides:	python-shtab = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools python3-setuptools_scm python3-wheel python3-toml
%description -n python3-shtab
Automagic shell tab completion for Python CLI applications

%package help
Summary:	Development documents and examples for shtab
Provides:	python3-shtab-doc
%description help
Automagic shell tab completion for Python CLI applications

%prep
%autosetup -n shtab-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-shtab
%license LICENCE
%doc README.rst
%{_bindir}/shtab
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Mon Mar 18 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 1.7.1-1
- Update package to version 1.7.1

* Tue Sep 12 2023 xu_ping <707078654@qq.com> - 1.6.5-1
- Upgrade version to 1.6.5

* Wed Apr 19 2023 wulei <wu_lei@hoperun.com> - 1.6.1-1
- Package init
